Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.trax
Interface TemplatesBuilder

All Known Implementing Classes:
  StylesheetHandler

public interface TemplatesBuilder
extends ContentHandler

This is a SAX ContentHandler that may be used to process SAX events into an Templates objects. This is an abstract class instead of an interface, so it can be a ContentHandler object, for passing into the JAXP SAXParser interface.

### Open issues:

#### Should Processor derive from org.xml.sax.ContentHandler?

  Instead of requesting an object from the Processor class, should the Processor class simply derive from org.xml.sax.ContentHandler?

#### ContentHandler vs. ContentHandler

  I don't think I would use ContentHandler at all, except that JAXP uses it. Maybe we should go back to using ContentHandler?

Method Summary
`Templates` | `getTemplates()` When this object is used as a ContentHandler or DocumentHandler, it creates a Templates object, which the caller can get once the SAX events have been completed.
`void` | `setBaseID(java.lang.String baseID)` Set the base ID (URL or system ID) for the stylesheet created by this builder.

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### getTemplates

    public Templates getTemplates()
                           throws TransformException

  When this object is used as a ContentHandler or DocumentHandler, it creates a Templates object, which the caller can get once the SAX events have been completed.
  Returns:
    The stylesheet object that was created during the SAX event process, or null if no stylesheet has been created.

### setBaseID

    public void setBaseID(java.lang.String baseID)

  Set the base ID (URL or system ID) for the stylesheet created by this builder. This must be set in order to resolve relative URLs in the stylesheet.
  Parameters:
    `baseID` - Base URL for this stylesheet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.